MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002137VCMIMechanics - Battlespublic2015-03-19 08:412015-10-15 07:54
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.97c 
Target VersionFixed in Version0.98d 
Summary0002137: Ballistics: shouldn't give you control over catapult if there no targets to attack
DescriptionAt moment in VCMI if your hero have Ballistics skill you're always get control over catapult.

Though in H3 you only get it as long as there targets available. So if you're destroyed all targets available for catapult then you won't able to control it anymore.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000409assignedTow dragon Ballistics skill gives hero first move before arrow towers and switches the left-to-right priority of turns 
related to 0002302resolvedAVS Earthquake shouldn't be castable if there no targets 

-  Notes
(0005808)
AVS (administrator)
2015-08-26 20:21

patch https://github.com/vcmi/vcmi/pull/116/ [^]
(0005815)
Warmonger (administrator)
2015-08-29 20:16

Fixed in https://github.com/vcmi/vcmi/commit/a8c9727a5be7d6f434216ec1e398dd9eb32d9612 [^]
(0005949)
SXX (administrator)
2015-10-15 02:57

Tested. Confirm as fixed. Closing.

- Issue History
Date Modified Username Field Change
2015-03-19 08:41 SXX New Issue
2015-03-19 08:42 SXX Relationship added related to 0000409
2015-08-26 20:21 AVS Note Added: 0005808
2015-08-29 20:16 Warmonger Note Added: 0005815
2015-08-29 20:16 Warmonger Status new => resolved
2015-08-29 20:16 Warmonger Fixed in Version => 0.98d
2015-08-29 20:16 Warmonger Resolution open => fixed
2015-08-29 20:16 Warmonger Assigned To => Warmonger
2015-08-29 20:17 Warmonger Assigned To Warmonger =>
2015-10-15 02:57 SXX Note Added: 0005949
2015-10-15 02:57 SXX Status resolved => closed
2015-10-15 02:57 SXX Assigned To => SXX
2015-10-15 07:54 SXX Relationship added related to 0002302

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean